<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.eclipse.gendoc</groupId>
    <artifactId>parent</artifactId>
    <relativePath>../../pom.xml</relativePath>
    <version>0.7.2-SNAPSHOT</version>
  </parent>
  
  <artifactId>org.eclipse.gendoc.bundle.acceleo.sirius</artifactId>
  <packaging>eclipse-plugin</packaging>
	<build>
		<plugins>
			<plugin>
				<groupId>org.eclipse.acceleo</groupId>
				<artifactId>${acceleo.maven.id}</artifactId>
				<version>${acceleo.maven.version}</version>
				<executions>
					<execution>
						<phase>compile</phase>
						<goals>
							<goal>acceleo-compile</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<useBinaryResources>false</useBinaryResources>
					<usePlatformResourcePath>true</usePlatformResourcePath>
					<acceleoProject>
						<root>${project.basedir}</root>
						<entries>
							<entry>
								<input>src</input>
								<output>target/classes</output>
							</entry>
						</entries>
					</acceleoProject>
					<packagesToRegister>
						<packageToRegister>org.eclipse.emf.ecore.EcorePackage</packageToRegister>
						<packageToRegister>org.eclipse.gmf.runtime.notation.NotationPackage</packageToRegister>
						<packageToRegister>org.eclipse.sirius.diagram.DiagramPackage</packageToRegister>
						<packageToRegister>org.eclipse.gendoc.table.TablePackage</packageToRegister>
					</packagesToRegister>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>